Bug 874510 - Activation Key Page in 'ja' language headings ovewritten in headpin
Activation Key Page in 'ja' language headings ovewritten in headpin
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Price
sthirugn@redhat.com
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-08 05:48 EST by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Web UI updated to handle long strings in non-English locales.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Activation key headings (93.64 KB, image/png)
2012-11-08 05:48 EST, Tazim Kolhar
no flags Details
Activation key headings are overwritten (80.30 KB, image/png)
2012-11-15 03:18 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-11-08 05:48:51 EST
Created attachment 640730 [details]
Activation key headings

Description of problem:
Activation Key headings UI in 'ja' language

Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch

How reproducible:

# yum install -y katello-headpin-all
# katello-configure --deployment=sam

Steps to Reproduce:
1.Log in to UI
2.Navigate Administer -> Users
3.Change the language to 'ja'
4.Log out and login again
5.Navigate to Content -> Activation key
  
Actual results:
Headings overwritten

Expected results:


Additional info:
Comment 2 Tazim Kolhar 2012-11-15 03:18:42 EST
Created attachment 645452 [details]
Activation key headings are overwritten

FAILED:

# rpm -qa | grep katello
katello-common-1.2.5-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.3-1h.el6_3.noarch
katello-glue-candlepin-1.2.5-1h.el6_3.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-headpin-1.2.5-1h.el6_3.noarch
katello-configure-1.2.2-1h.el6_3.noarch
katello-headpin-all-1.2.5-1h.el6_3.noarch
katello-cli-1.2.3-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
Comment 3 Tom McKay 2012-12-03 10:42:50 EST
In latest compose
Comment 4 Og Maciel 2012-12-03 16:17:16 EST
Sadly something happened and the fix got reversed with latest code:

/usr/share/katello/app/stylesheets/katello.scss: 660

#new {
          border-bottom: 0 none;
          padding: 8px;
          position: absolute;
          margin: 0;
          clear: right;
          text-align: center;

* candlepin-0.7.19-1.el6_3.noarch
* candlepin-tomcat6-0.7.19-1.el6_3.noarch
* elasticsearch-0.18.4-11.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.4-3h.el6_3.noarch
* katello-cli-common-1.2.4-3h.el6_3.noarch
* katello-common-1.2.6-3h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.6-3h.el6_3.noarch
* katello-headpin-1.2.6-3h.el6_3.noarch
* katello-headpin-all-1.2.6-3h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.27-1.el6_3.noarch
* thumbslug-selinux-0.0.27-1.el6_3.noarch
Comment 7 sthirugn@redhat.com 2013-01-08 16:47:58 EST
Tested and failed in the below version
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 9 sthirugn@redhat.com 2013-01-16 16:12:52 EST
Tested in the version below and worked fine. (There is no overlap anymore)

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-14h.el6_3.noarch
* katello-configure-1.2.3-2h.el6_3.noarch
* katello-glue-candlepin-1.2.1-14h.el6_3.noarch
* katello-headpin-1.2.1-14h.el6_3.noarch
* katello-headpin-all-1.2.1-14h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 11 errata-xmlrpc 2013-02-21 14:19:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.